summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorDavid Tolnay <dtolnay@gmail.com>2015-10-24 11:21:16 -0700
committerDavid Tolnay <dtolnay@gmail.com>2015-10-24 11:21:18 -0700
commitb7a219a91dc1094022478dd9bc0f60275367ce25 (patch)
tree51a2283f5630f9deca88e9ccf6955ab48555db02 /tests
parentaa279ae7ac4271c4f23ebda1180164807b0b1d77 (diff)
mktemp needs 6 or more X's (fix #1000)
mktemp(1) isn't posix specified, but it's reasonable to use mktemp(3) to implement it which requires 6 trailing X's in the format Thanks @sthen
Diffstat (limited to 'tests')
-rwxr-xr-xtests/setup2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/setup b/tests/setup
index a6bc5f45..d64ba29c 100755
--- a/tests/setup
+++ b/tests/setup
@@ -29,7 +29,7 @@ clean () {
fi
}
trap clean EXIT
-d=`mktemp -d -t jqXXXXX || true`
+d=`mktemp -d -t jqXXXXXX || true`
if [ -z "$d" ]; then
echo "Your OS does not support mktemp(1) -d" 1>&2
exit 1